# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/media/i2c/toshiba,et8ek8.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Toshiba et8ek8 5MP sensor

maintainers:
  - Pavel Machek <pavel@ucw.cz>
  - Sakari Ailus <sakari.ailus@iki.fi>

description:
  Toshiba et8ek8 5MP sensor is an image sensor found in Nokia N900 device

allOf:
  - $ref: /schemas/media/video-interface-devices.yaml#

properties:
  compatible:
    const: toshiba,et8ek8

  reg:
    description:
      I2C address (0x3e, or an alternative address)
    maxItems: 1

  vana-supply:
    description:
      Analogue voltage supply (VANA), 2.8 volts

  clocks:
    maxItems: 1

  reset-gpios:
    description:
      XSHUTDOWN GPIO. The XSHUTDOWN signal is active low. The sensor
      is in hardware standby mode when the signal is in the low state.
    maxItems: 1

  flash-leds:
    maxItems: 1

  port:
    $ref: /schemas/graph.yaml#/$defs/port-base
    additionalProperties: false

    properties:
      endpoint:
        $ref: /schemas/media/video-interfaces.yaml#
        unevaluatedProperties: false

required:
  - compatible
  - reg
  - vana-supply
  - clocks
  - reset-gpios
  - port

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        camera@3e {
            compatible = "toshiba,et8ek8";
            reg = <0x3e>;
            vana-supply = <&vaux4>;
            clocks = <&isp 0>;
            assigned-clocks = <&isp 0>;
            assigned-clock-rates = <9600000>;
            reset-gpios = <&gpio4 6 GPIO_ACTIVE_HIGH>;
            flash-leds = <&led>;

            port {
                csi_cam1: endpoint {
                    remote-endpoint = <&csi_out1>;
                };
            };
        };
    };
